from app.schemas import Plugin


class SitesHelper:
    """
    站点信息
    """

    def __init__(self):
        self.auth_level = 3
        self.auth_version = "1.3.2"
        self.indexer_version = "1.4.7"
        self.sites = [{
            id: "1",
            "domain": "rarbg",
        }]

    def get_indexer(self, domain: str) -> dict:
        """
        获取站点信息
        """
        for site in self.sites:
            if site.get("domain") == domain:
                return site
        return {}

    def get_indexers(self) -> list:
        """
        获取所有站点信息
        """
        return self.sites

    def check(self, domain: str) -> tuple:
        return True, ""

    def check_user(self) -> tuple:
        return True, ""
